public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lisp/clozurecl/
Date: Sun,  8 Nov 2015 05:09:52 +0000 (UTC)	[thread overview]
Message-ID: <1446958988.3c4e0501ec76cb13d9063689fa10bd2ac9ce2fc8.grozin@gentoo> (raw)

commit:     3c4e0501ec76cb13d9063689fa10bd2ac9ce2fc8
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  8 05:03:08 2015 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Nov  8 05:03:08 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c4e0501

dev-lisp/clozurecl: bump to 1.11

Package-Manager: portage-2.2.24

 dev-lisp/clozurecl/Manifest              |  2 +
 dev-lisp/clozurecl/clozurecl-1.11.ebuild | 93 ++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-lisp/clozurecl/Manifest b/dev-lisp/clozurecl/Manifest
index eff33f0..8e62a37 100644
--- a/dev-lisp/clozurecl/Manifest
+++ b/dev-lisp/clozurecl/Manifest
@@ -1,2 +1,4 @@
 DIST ccl-1.10-linuxx86.tar.gz 43796090 SHA256 8ca272656214837b57746b9b84395987bc524329b38a1f42a605f45bf0282657 SHA512 10504e2569a99ba8b6fc4ac745312435c6be646c86ec3916a3750f823f79b3b8ec87fe53ba2410151feeaaed0609e1760ee3d37a77f01d815d1ec13c2394258e WHIRLPOOL 75c7516eba92ad0fc603301e958dc5ba8271b0819ab46af7f61e97edeb405098c4d84a8f8e8ed73ee85462b6ab7c4805bbcbf0a0f354fb62f077cf8cf10bffa4
+DIST ccl-1.11-linuxx86.tar.gz 42482877 SHA256 08e885e8c2bb6e4abd42b8e8e2b60f257c6929eb34b8ec87ca1ecf848fac6d70 SHA512 34008654fd3ceca55a33413a768c398395141e26b9ea09204739ca7e998fdbe94ab92507eda14cf9bcbb9f76e6c3cae3006d7f2c9f48749c66e1f1281febb409 WHIRLPOOL 4a0d1e6495be62f04f48d6923f95468ca1d1c8bafb3c00d4a5b1f705eb70fac52b7d8ed3b248b698707cd89f1eb4a0196b94d869e9bea52ea895fb8fae00bb41
 DIST ccl-1.9_p1-linuxx86.tar.bz2 36344874 SHA256 ba3ef9718646cb56785bda634093876442287bb445a9b5b95e6478104d63d988 SHA512 b09a1f4f2e0a59bd95df09e431e95f619bc80459f5a1a799fc47fae575ccd3e0c266df98a0d7fc2b4878381e02e50e68dd3406a51c569bb056dd0e1fb973a989 WHIRLPOOL 9730171d8e4acdd1f54b81f4cc5984414c485672200c66e5f98cf7fe202a7c6f5b2835c2c75c06254960fdc7b0477854fabdd57d8b011abe8629bcd390e0f134
+DIST ccl.html 962003 SHA256 10fe7bf2818a2a029dcd53b274124f84713bed32b24170d09134feee470a5c6e SHA512 0cb9ee8f7eb6007e08241a0797519ff3bfc3d3adc0b5ac86e6a2e9e8b2e316fc421bea3b04159decc0a2b37ff7098147e25266946cc3c1ac367b93e4821a8b64 WHIRLPOOL ce93bb1537fd5c03050b5aa7f14414188a3cacf881ff0fcb87c532a43e51bd6139a11dd58c28397e7981ab120ce85e8303762c5f418f995b1c545f436b4d6abe

diff --git a/dev-lisp/clozurecl/clozurecl-1.11.ebuild b/dev-lisp/clozurecl/clozurecl-1.11.ebuild
new file mode 100644
index 0000000..50ee67f
--- /dev/null
+++ b/dev-lisp/clozurecl/clozurecl-1.11.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+MY_PN=ccl
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Common Lisp implementation, derived from Digitool's MCL product"
+HOMEPAGE="http://ccl.clozure.com/"
+SRC_URI="
+	x86?   ( ftp://ftp.clozure.com/pub/release/${PV}/${MY_P}-linuxx86.tar.gz )
+	amd64? ( ftp://ftp.clozure.com/pub/release/${PV}/${MY_P}-linuxx86.tar.gz )
+	doc? ( http://ccl.clozure.com/docs/ccl.html )"
+	# ppc?   ( ftp://ftp.clozure.com/pub/release/${PV}/${MY_P}-linuxppc.tar.gz )
+	# ppc64? ( ftp://ftp.clozure.com/pub/release/${PV}/${MY_P}-linuxppc.tar.gz )"
+
+LICENSE="LLGPL-2.1"
+SLOT="0"
+# KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-lisp/asdf-2.33-r3:="
+DEPEND="${RDEPEND}
+		!dev-lisp/openmcl"
+
+S="${WORKDIR}"/${MY_PN}
+
+ENVD="${T}"/50ccl
+
+src_configure() {
+	if use x86; then
+		CCL_RUNTIME=lx86cl; CCL_HEADERS=x86-headers; CCL_KERNEL=linuxx8632
+	elif use amd64; then
+		CCL_RUNTIME=lx86cl64; CCL_HEADERS=x86-headers64; CCL_KERNEL=linuxx8664
+	elif use ppc; then
+		CCL_RUNTIME=ppccl; CCL_HEADERS=headers; CCL_KERNEL=linuxppc
+	elif use ppc64; then
+		CCL_RUNTIME=ppccl64; CCL_HEADERS=headers64; CCL_KERNEL=linuxppc64
+	fi
+}
+
+src_prepare() {
+	cp /usr/share/common-lisp/source/asdf/build/asdf.lisp tools/ || die
+}
+
+src_compile() {
+	emake -C lisp-kernel/${CCL_KERNEL} clean
+	emake -C lisp-kernel/${CCL_KERNEL} all CC="$(tc-getCC)"
+
+	unset CCL_DEFAULT_DIRECTORY
+	./${CCL_RUNTIME} -n -b -Q -e '(ccl:rebuild-ccl :full t)' -e '(ccl:quit)' || die "Compilation failed"
+
+	# remove non-owner write permissions on the full-image
+	chmod go-w ${CCL_RUNTIME}{,.image} || die
+
+	esvn_clean
+}
+
+src_install() {
+	local install_dir=/usr/$(get_libdir)/${PN}
+
+	exeinto ${install_dir}
+	# install executable
+	doexe ${CCL_RUNTIME}
+	# install core image
+	cp ${CCL_RUNTIME}.image "${D}"/${install_dir} || die
+	# install optional libraries
+	dodir ${install_dir}/tools
+	cp tools/*fsl "${D}"/${install_dir}/tools || die
+
+	# until we figure out which source files are necessary for runtime
+	# optional features and which aren't, we install all sources
+	find . -type f -name '*fsl' -delete || die
+	rm -f lisp-kernel/${CCL_KERNEL}/*.o || die
+	cp -a compiler level-0 level-1 lib library \
+		lisp-kernel scripts tools xdump contrib \
+		"${D}"/${install_dir} || die
+	cp -a ${CCL_HEADERS} "${D}"/${install_dir} || die
+
+	make_wrapper ccl "${install_dir}/${CCL_RUNTIME}"
+
+	echo "CCL_DEFAULT_DIRECTORY=${install_dir}" > "${ENVD}"
+	doenvd "${ENVD}"
+
+	dodoc doc/release-notes.txt
+	dohtml "${DISTDIR}"/ccl.html
+	use doc && dohtml -r examples
+}


             reply	other threads:[~2015-11-08  5:10 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-08  5:09 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-11-10 15:39 [gentoo-commits] repo/gentoo:master commit in: dev-lisp/clozurecl/ Andrey Grozin
2016-04-03  6:09 Andrey Grozin
2016-12-15 15:04 Andrey Grozin
2017-05-22 21:23 José María Alonso
2017-11-30 14:17 Andrey Grozin
2017-12-10  9:27 Ulrich Müller
2017-12-10 15:30 José María Alonso
2018-04-26 14:43 Aaron Bauman
2018-05-02 18:51 José María Alonso
2018-05-04 15:36 Thomas Deutschmann
2018-05-18 18:50 Mikle Kolyada
2020-02-12 18:06 David Seifert
2021-01-07  8:20 Fabian Groffen
2021-03-27  8:34 Andrey Grozin
2021-05-25 11:10 Andrey Grozin
2022-01-19  0:09 Sam James
2023-08-09  9:05 Andrey Grozin
2023-09-17 23:58 Sam James
2023-09-19  5:38 Arthur Zamarin
2024-08-16 11:49 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1446958988.3c4e0501ec76cb13d9063689fa10bd2ac9ce2fc8.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox